Subject: MIB doctor review of draft-ietf-atommib-rfc2495bis-02.txt

From: "C. M. Heard" <[email-masked]>
Date: Sun, 18 May 2003 13:40:01 -0700 (PDT)

AToM MIB folks,

This message contains the results of a MIB doctor review of the
DS1-MIB that I volunteered to do in an off-line e-mail exchange
with the editor, chairs, and ADs.  The version reviewed is the
one that is in

http://www.ietf.org/internet-drafts/draft-ietf-atommib-rfc2495bis-02.txt

The comments below follow the MIB review checklist from Appendix A
of <draft-ietf-ops-mib-review-guidelines-01.txt>.

1.) I-D Boilerplate -- OK

2.) Abstract -- the following things need to be corrected:

(a) in the first line:  s/an experimental portion/a portion/

(b) citations are not allowed in the abstract (see Section 2 of
http://www.ietf.org/ID-nits.html), and anyway the RFC numbers
that are cited will be no longer be current by the time this
document is published.  I suggest that the last sentence of the
first paragraph be changed to:

   This document is a companion to the documents that define
   managed objects for the DS0, DS3/E3, and Synchronous Optical
   Network/Synchronous Digital Hierarchy (SONET/SDH) interface
   types.

It would be acceptable to put in RFC numbers (but not citations) if
an RFC Editor note also is included note to deal with the fact that
they will need to be updated by the time the document is published.
(Note: in my opinion the sentence above would read better if the
acronym SONET/SDH was not expanded, but current RFC Editor rules
require that acronyms in the abstract be expanded on first use
unless they are likely to be known to all IETF members.)

(c) the second paragraph is obsolete and the third paragraph is
untrue, so please delete them both.

3.) MIB Boilerplate -- the standard heading for the boilerplate
section is "The Internet-Standard Management Framework" ... so
please s/SNMP/Internet-Standard/ in the heading of Section 1.

4.) IPR Notices -- OK (required boilerplate is present;  no claims
are noted;  no change from RFC 2495).

5.) References -- the following things require attention:

(a) several of the references do not appear to be used, either
in the text, in the IMPORTS statement, or in a REFERENCE clause.
Those are: [RFC3411], [RFC3412], [RFC3413], [RFC3414], [RFC3415],
[RFC1155], [RFC1212], [RFC1215], [RFC1157], and [RFC1901].  Note
that earlier versions of these documents used to be referenced
by the MIB boilerplate, but that is no longer the case.

(b) [RFC2294] should be [RFC2494] (this is a global change)

(c) the following references are listed as informative, but I
believe that they should be listed as normative:

[AT&T-TR-54016]     referenced in MIB module (FDL type value)
[ANSI-T1.403]       referenced in MIB module (FDL type value)
[CCITT-G.703]       referenced in MIB module (line type value)
[ITU-T-G.704]       referenced in MIB module (line type values)
[ANSI-T1.231]       cited as source document for DS1 error
                    condition terminology (also mentioned in many
                    parameter definitions, but those definitions
                    are self-contained and implementors are
                    instructed to use the definitions in the MIB
                    document instead of the ones in T1.231)
[CCITT-O.162]       cited in definition of E1 AIS defect
[CCITT-G.821]       cited in definition of Degraded Minute
[AT&T-TR-62411]     cited in definition of LOF "hit integration"
[CCITT-G.706]       cited in definition of OOF defect
[CCITT-G.732]       cited in various E1/CAS failure definitions
[ITU-T-G.775]       cited in definition of DS2 AIS defect
[ITU-T-G.826]       cited in definition of Errored Second
[ANSI-T1.107]       referenced in MIB module (line type values)
[RFC2493]           referenced in MIB module IMPORTS statement
                    (PerfHist-TC-MIB).  Note: this reference should
                    point to the forthcoming update of RFC 2493
                    (the RFC number is TBD, the approved draft
                    is <draft-ietf-atommib-rfc2493bis-01.txt>;
                    suggest to change the tag to [RFC2493bis] and
                    list the I-D name;  the RFC Editor will fill
                    in the RFC number when it is assigned).
[ITU-T-M.1400]      cited in definition of circuit identifier (both
                    in the text and in MIB module REFERENCE clause)

I do agree that [AT&T-UM-305] and [ANSI-T1.102] are cited only for
supplemental information and should remain informative references.

(d) there are two places in the document that refer to RFC 1213,
one in the DESCRIPTION clause of the deprecated object dsx1IfIndex
and one in Appendix A, which describes the historical (RFC 1406)
usage of dsx1LineIndex/dsx1IfIndex.  It should therefore be listed
as an informative reference.  So also should RFC 1406 itself.

(e) the following informative references should probably point to
the forthcoming updates:

[RFC2496]           the RFC number is TBD, the unapproved draft
                    is <draft-ietf-atommib-rfc2496bis-02.txt>

[RFC2558]           the RFC number is TBD, the approved draft
                    is <draft-ietf-atommib-rfc2558bis-01.txt>

You may want to handle these with an RFC Editor note at the end of
the document, as was done in <draft-ietf-atommib-rfc2493bis-01.txt>

6.) Security Considerations Section -- the part that deals with
the vulnerabilities of writeable objects appears to be complete
and accurate, but it reads a bit awkwardly and I would like to
recommend some wordsmithing changes.  The part that deals with
the vulnerabilities of readable objects is missing;  as noted in
Section 3.6 of <draft-ietf-ops-mib-review-guidelines-01.txt>,
that's not allowed, and if there really are no vulnerabilities
then there must be an explicit statement to that effect.  I don't
think that would be entirely appropriate in this case and would
instead suggest borrowing the language from the recently-approved
SONET-MIB draft <draft-ietf-atommib-rfc2558bis-01.txt>.  The
specific wording changes that I suggest are to replace everything
up to (but not including) the last three paragraphs with this:

   There are a number of management objects defined in this MIB
   module with a MAX-ACCESS clause of read-write.  Such objects may
   be considered sensitive or vulnerable in some network environments.
   The support for SET operations in a non-secure environment without
   proper protection can have a negative effect on network operations.
   The specific the objects and their sensitivities/vulnerabilities
   are as follows.

   Setting the following objects to incorrect values may result in
   traffic interruptions:

      dsx1LineType
      dsx1LineCoding
      dsx1SendCode
      dsx1LoopbackConfig
      dsx1SignalMode
      dsx1TransmitClockSource
      dsx1Fdl
      dsx1LineLength
      dsx1Channelization
      dsx1LineMode
      dsx1LineBuildOut

   In the case of dsx1LineType, for example, both ends of a DS1/E1 must
   have the same value in order for traffic to flow.  In the case of
   dsx1SendCode and dsx1LoopbackConfig, for another example, traffic may
   stop transmitting when particular loopbacks are applied.

   Setting the following object to an incorrect value will not harm the
   traffic, but it may cause a circuit to be mis-identified and thereby
   create difficulties for service personnel when attempting to
   troubleshoot a problem:

      dsx1CircuitIdentifier

   Setting the following object can cause an increase in the number of
   traps received by the network management station:

      dsx1LineStatusChangeTrapEnable

   The readable objects in this MIB module (i.e., the objects with a
   MAX-ACCESS other than not-accessible) may be considered sensitive
   in some environments since, collectively, they provide extensive
   information about the performance of interfaces in DS1/E1/DS2/E2
   equipment or networks and can reveal some aspects of their
   configuration.  In such environments it is important to control
   even GET and NOTIFY access to these objects and possibly to
   encrypt the values of these objects when sending them over the
   network via SNMP.

The last three paragraphs (starting with "SNMP versions prior to
SNMPv3") would follow at this point.

7.) IANA Considerations Section -- OK (none present and none
required).

8.) Copyright notices -- there is no full copyright notice as
required by RFC 2026 sec 10.4(C), nor is there a copyright
notice in the MODULE-IDENTITY DESCRIPTION clause as required
by http://www.ietf.org/IESG/STATEMENTS/MIB-COPYRIGHT.txt
(see also <draft-ietf-ops-mib-review-guidelines-01.txt>
Section 3.8).  Note:  specific fixes to the MODULE-IDENTITY
DESCRIPTION clause will be included in the comments under
item #11 below.

9.) MIB compilation -- a copy of the smidiff report from the e-mail
robot at <[email-masked]> is attached.  Note that it shows
both the smilint warnings for the old version of the MIB module
(DS1-MIB-9808011830Z, extracted from RFC 2495) and the new version
(DS1-MIB-200305040000Z, extracted from the 2495bis draft) as well
as the differences between the two.

All of the smilint warnings in the new module are inherited from the
previous version.  I have audited all of them, and in most cases no
action is required.  The "use Integer32 instead of INTEGER" warnings
are all triggered by objects which use INTEGER with a subrange, and
that practice is acceptable under the guidelines in Section 4.6.1.1
of <draft-ietf-ops-mib-review-guidelines-01.txt>.  Hence these
warnings can be safely ignored.  The "index element ... should be
not-accessible" warnings are a result of the MIB module having been
converted from SMIv1 which required index objects to be accessible.
The only action recommended for these is to add an ASN.1 comment to
each read-only index object stating why its MAX-ACCESS value is
read-only.  Details can be found in the comments under item #11
below.  The "implicit node definition" warning is a complaint about
a particular style convention and does not indicate a problem.  The
unreferenced group warning for deprecated group `ds1DeprecatedGroup'
is likewise not a problem, since it is reasonable for a deprecated
group of deprecated objects to be unreferenced by any compliance
statement.  The unreferenced group warning for current group
`ds1NearEndOptionalTrapGroup' simply indicates that the group (as
its name indicates) is optional.  In this reviewer's opinion the
intent is sufficiently clear that there is no need to enforce the
recommendation in <draft-ietf-ops-mib-review-guidelines-01.txt>
Section 4.8 to mention this group in a GROUP clause.  (Note,
however, that when it comes time to advance the specification it
will be necessary either to provide evidence that this group is
present in two implementations or else it must be deprecated.)

I have likewise audited all of the diagnostics from smidiff, and I
find that all of the "warning:" and "info:" messages are for changes
that are both correct and intended and may be safely ignored.
Similarly, one of the level 3 diagnostic messages, viz.,

DS1-MIB-200305040000Z:1669 [3] {range-changed} range of type used in
`dsx1FracIfIndex' changed from `(1..2147483647)' to `(0..2147483647)'

is acceptable because the change it is complaining about was made
to correct a bug (specifically, the range did not agree with the
DESCRIPTION clause in the original definition;  see further comments
under item #11 below).  The other level 3 diagnostic message, i.e.,

DS1-MIB-9808011830Z:32 [3] {revision-removed} revision
`1998-08-01 18:30' removed

does point to a problem that needs to be corrected.  It is
present because the revised MODULE-IDENTITY invocation has no
REVISION/DESCRIPTION pair for the previous version of the MIB
module.  In fact the guidelines in Section 4.5 of
<draft-ietf-ops-mib-review-guidelines-01.txt> now require a
REVISION/DESCRIPTION pair for every published version of the
MIB module, which would include RFC 1406 in this case.  A detailed
correction for this is proposed in the comments under #11 below.

It has also been verified that the change log in Section 1.1
accurately summarizes all significant changes reported by smidiff.

10.) Other issues (e.g., stuff in http://www.ietf.org/ID-nits.html
that is not covered above) -- there are some lines that exceed 72
characters in Sections 1.1, 2.2.5, and in the MIB module itself
(although the latter will go away if the module indentation is
reduced from 10 spaces down to 3).  The last paragraph on page
15 (beginning with "In any case, a linkDown trap") and the next
paragraph that starts on page 16 (beginning with "According to ANSI
T1.231") are incorrectly indented;  they should be aligned with the
normal text (i.e., indented by 3 spaces only).  Also, readability
would be improved if a page break is inserted before the start of
the final table in Appendix A.  Finally, there are a number of
typos, which are listed separately in the first of the two
attached context diffs.

11.) Technical content -- here are the comments on the content of
the MIB module.  Note:  since this is a revision of a MIB module
that has been widely implemented, I have not attempted to do an
ab-initio technical review of the whole thing;  I have instead
concentrated on the stuff that has changed.

(a) In MODULE-IDENTITY invocation: (i) the CONTACT-INFO clause MUST
have the WG mailing list info and SHOULD have a pointer to the WG
charter page;  (ii) there MUST be a copyright notice at the end of
DESCRIPTION clause;  and (ii) there MUST be a REVISION/DESCRIPTION
pair for each published version of the MIB module (see sections 3.8
and 4.5 of <draft-ietf-ops-mib-review-guidelines-01.txt>).  Proposed
text to fix these omissions is included in the second of the two
context diffs attached to this message.  Note that the revision date
for the RFC 2495 version is taken from the LAST-UPDATED clause in
that version of the MIB module, while the revision date for the
RFC 1406 version is taken from time stamp on the file at the RFC
Editor's web site.  Note that the proposed revision clause for the
latest version of the MIB module does not have a detailed list of
changes because one is already present in Section 1.1 of the draft;
that could be added (or the contents of Section 1.1 moved there) at
the editor's discretion.

For sake of precision, the MODULE-IDENTITY invocation with the
proposed revisions included is reproduced below.

ds1 MODULE-IDENTITY
    LAST-UPDATED "200305040000Z"
    ORGANIZATION "IETF AToM MIB Working Group"
    CONTACT-INFO
      "WG charter:
         http://www.ietf.org/html.charters/atommib-charter.html

       Mailing Lists:
         General Discussion: [email-masked]
         To Subscribe: [email-masked]

       Editor: Orly Nicklass

       Postal: RAD Data Communications, Ltd.
               Ziv Tower, 24 Roul Walenberg
               Tel Aviv, Israel, 69719

               Tel: +9723 765 9969
       E-mail: [email-masked]"

    DESCRIPTION
         "The MIB module to describe DS1, E1, DS2, and
          E2 interfaces objects.

          Copyright (c) The Internet Society (2003).  This
          version of this MIB module is part of RFC yyyy;
          see the RFC itself for full legal notices."
-- RFC Ed.: replace yyyy with actual RFC number & remove this notice

    REVISION "200305040000Z"
    DESCRIPTION
         "The RFC yyyy version of this MIB module."
-- RFC Ed.: replace yyyy with actual RFC number & remove this notice

    REVISION "199808011830Z"
    DESCRIPTION
         "The RFC 2495 version of this MIB module."

    REVISION "199301252028Z"
    DESCRIPTION
         "Initial version, published as RFC 1406."

    ::= { transmission 18 }

(b) As noted in #9 above, this MIB module contains a number of
read-only index columns that are a legacy of its origin as an
SMIv1 MIB module.  Although it is not strictly required, it is
recommended to add ASN.1 comments to the definitions of these
objects explaining why they are read-only.  For example:

dsx1LineIndex OBJECT-TYPE
     SYNTAX  InterfaceIndex
     MAX-ACCESS  read-only  -- read-only since originally an
                            -- SMIv1 index
     STATUS  current
     DESCRIPTION
            [ ... ]

with similar changes for dsx1IntervalIndex, dsx1IntervalNumber,
dsx1TotalIndex, dsx1FarEndCurrentIndex, dsx1FarEndIntervalIndex,
dsx1FarEndIntervalNumber, dsx1FarEndTotalIndex, dsx1FracIndex,
and dsx1FracNumber.  Complete details of the proposed changes
are included in the context diff.

(c) At the editor's discretion, the SYNTAX value of dsx1FracIfIndex
could be changed from INTEGER (0..'7fffffff'h) to
InterfaceIndexOrZero.  If this is done, then InterfaceIndexOrZero
would need to be imported from IF-MIB.  This is not given a high
priority since dsx1FracIfIndex is a deprecated object.

(d) In the ASN.1 comment preceding the definition of ds1Traps:
s/ -- Ds1 TRAPS/-- DS1 TRAPS/

(e) In the OBJECT clause for dsx1LineBuildOut:
s/build up/build out/

(f) Although the new "general" DS1 compliance statement
ds1NCompliance has OBJECT clauses to allow read-only
implementations of the new configuration objects
dsx1LineMode and dsx1LineBuildOut, the new T1 PRI and
E1 PRI compliance statements ds1MibT1PriNCompliance
and ds1MibE1PriNCompliance (respectively) do not.  That
means that read-write implementation of the objects is
required for an implementation to satisfy those compliance
statements.  This appears to be an oversight.  If so, then
the OBJECT clauses for those two objects should be copied
from ds1NCompliance into ds1MibT1PriNCompliance and
ds1MibE1PriNCompliance (with typo correction (e)), as
shown in the attached context diff.

This concludes the DS1-MIB review comments.

Mike Heard

Subject: Re: smidiff -l 6 -i namelength-32 DS1-MIB-9808011830Z DS1-MIB-200305040000Z
From: [email-masked]
To: "C. M. Heard" <[email-masked]>
Date: Tue, 6 May 2003 23:23:37 +0200

This is an automatically generated mail message in response to a mail message
you (or someone else who used your address) sent to <[email-masked]>.
If you want to learn more about this mail service, send a mail message with
the "Subject: help" to <[email-masked]>.

This command (smidiff 0.4.2-pre1, as of Mon May 05 11:23:42 2003)
has been processed to get the following results:
smidiff -m -s -l 6 -i namelength-32 DS1-MIB-9808011830Z DS1-MIB-200305040000Z

DS1-MIB-9808011830Z:122: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:136: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:357: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:446: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:472: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:484: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:523: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:548: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:761: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:1130: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:1143: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:1230: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:1297: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:1618: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:1631: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:1639: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-9808011830Z:56: warning: index element `dsx1LineIndex' of row `dsx1ConfigEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:588: warning: index element `dsx1CurrentIndex' of row `dsx1CurrentEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:722: warning: index element `dsx1IntervalIndex' of row `dsx1IntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:722: warning: index element `dsx1IntervalNumber' of row `dsx1IntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:873: warning: index element `dsx1TotalIndex' of row `dsx1TotalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:1091: warning: index element `dsx1FarEndCurrentIndex' of row `dsx1FarEndCurrentEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:1257: warning: index element `dsx1FarEndIntervalIndex' of row `dsx1FarEndIntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:1257: warning: index element `dsx1FarEndIntervalNumber' of row `dsx1FarEndIntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:1402: warning: index element `dsx1FarEndTotalIndex' of row `dsx1FarEndTotalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:1601: warning: index element `dsx1FracIndex' of row `dsx1FracEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:1601: warning: index element `dsx1FracNumber' of row `dsx1FracEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-9808011830Z:1668: warning: implicit node definition
DS1-MIB-9808011830Z:2032: warning: deprecated group `ds1DeprecatedGroup' is not referenced in this module
DS1-MIB-9808011830Z:2088: warning: current group `ds1NearEndOptionalTrapGroup' is not referenced in this module
DS1-MIB-200305040000Z:123: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:136: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:363: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:457: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:483: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:495: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:533: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:558: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:798: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:1165: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:1178: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:1267: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:1333: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:1648: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:1661: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:1669: warning: use Integer32 instead of INTEGER in SMIv2
DS1-MIB-200305040000Z:54: warning: index element `dsx1LineIndex' of row `dsx1ConfigEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:626: warning: index element `dsx1CurrentIndex' of row `dsx1CurrentEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:759: warning: index element `dsx1IntervalIndex' of row `dsx1IntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:759: warning: index element `dsx1IntervalNumber' of row `dsx1IntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:910: warning: index element `dsx1TotalIndex' of row `dsx1TotalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:1126: warning: index element `dsx1FarEndCurrentIndex' of row `dsx1FarEndCurrentEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:1294: warning: index element `dsx1FarEndIntervalIndex' of row `dsx1FarEndIntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:1294: warning: index element `dsx1FarEndIntervalNumber' of row `dsx1FarEndIntervalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:1436: warning: index element `dsx1FarEndTotalIndex' of row `dsx1FarEndTotalEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:1631: warning: index element `dsx1FracIndex' of row `dsx1FracEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:1631: warning: index element `dsx1FracNumber' of row `dsx1FracEntry' should be not-accessible in SMIv2 MIB
DS1-MIB-200305040000Z:1699: warning: implicit node definition
DS1-MIB-200305040000Z:2294: warning: deprecated group `ds1DeprecatedGroup' is not referenced in this module
DS1-MIB-200305040000Z:2350: warning: current group `ds1NearEndOptionalTrapGroup' is not referenced in this module
DS1-MIB-200305040000Z:13 [5] {organization-changed} warning: organization of `DS1-MIB' changed
DS1-MIB-200305040000Z:13 [5] {contact-changed} warning: contact of `DS1-MIB' changed
DS1-MIB-9808011830Z:32 [3] {revision-removed} revision `1998-08-01 18:30' removed
DS1-MIB-200305040000Z:30 [5] {revision-added} warning: revision `2003-05-04 00:00' added
DS1-MIB-9808011830Z:14 [6] {previous-definition} info: previous definition of `DS1-MIB'
DS1-MIB-200305040000Z:152 [5] {named-number-added} warning: named number `dsx1E1Q50' added to type used in `dsx1LineType'
DS1-MIB-200305040000Z:152 [5] {named-number-added} warning: named number `dsx1E1Q50CRC' added to type used in `dsx1LineType'
DS1-MIB-200305040000Z:152 [5] {description-changed} warning: description of `dsx1LineType' changed
DS1-MIB-9808011830Z:152 [6] {previous-definition} info: previous definition of `dsx1LineType'
DS1-MIB-200305040000Z:303 [5] {ref-added} warning: reference added to `dsx1CircuitIdentifier'
DS1-MIB-200305040000Z:429 [5] {named-number-added} warning: named number `adaptive' added to type used in `dsx1TransmitClockSource'
DS1-MIB-200305040000Z:429 [5] {description-changed} warning: description of `dsx1TransmitClockSource' changed
DS1-MIB-9808011830Z:423 [6] {previous-definition} info: previous definition of `dsx1TransmitClockSource'
DS1-MIB-200305040000Z:557 [5] {description-changed} warning: description of `dsx1Ds1ChannelNumber' changed
DS1-MIB-9808011830Z:547 [6] {previous-definition} info: previous definition of `dsx1Ds1ChannelNumber'
DS1-MIB-200305040000Z:1177 [5] {description-changed} warning: description of `dsx1FarEndValidIntervals' changed
DS1-MIB-9808011830Z:1142 [6] {previous-definition} info: previous definition of `dsx1FarEndValidIntervals'
DS1-MIB-200305040000Z:1669 [3] {range-changed} range of type used in `dsx1FracIfIndex' changed from `(1..2147483647)' to `(0..2147483647)'
DS1-MIB-200305040000Z:587 [5] {node-added} warning: column `dsx1LineMode' has been added
DS1-MIB-200305040000Z:599 [5] {node-added} warning: column `dsx1LineBuildOut' has been added
DS1-MIB-200305040000Z:2186 [5] {status-change} warning: legal status change from `current' to `deprecated' for `ds1NearEndConfigGroup'
DS1-MIB-9808011830Z:1924 [6] {previous-definition} info: previous definition of `ds1NearEndConfigGroup'
DS1-MIB-200305040000Z:2366 [5] {node-added} warning: group `ds1NearEndConfigurationGroup' has been added
DS1-MIB-200305040000Z:1793 [5] {status-change} warning: legal status change from `current' to `deprecated' for `ds1Compliance'
DS1-MIB-9808011830Z:1766 [6] {previous-definition} info: previous definition of `ds1Compliance'
DS1-MIB-200305040000Z:1856 [5] {status-change} warning: legal status change from `current' to `deprecated' for `ds1MibT1PriCompliance'
DS1-MIB-9808011830Z:1828 [6] {previous-definition} info: previous definition of `ds1MibT1PriCompliance'
DS1-MIB-200305040000Z:1927 [5] {status-change} warning: legal status change from `current' to `deprecated' for `ds1MibE1PriCompliance'
DS1-MIB-9808011830Z:1899 [6] {previous-definition} info: previous definition of `ds1MibE1PriCompliance'
DS1-MIB-200305040000Z:2044 [5] {node-added} warning: compliance `ds1NCompliance' has been added
DS1-MIB-200305040000Z:2106 [5] {node-added} warning: compliance `ds1MibT1PriNCompliance' has been added
DS1-MIB-200305040000Z:2177 [5] {node-added} warning: compliance `ds1MibE1PriNCompliance' has been added
*** draft-ietf-atommib-rfc2495bis-02.txt	Tue May  6 09:49:12 2003
--- draft-ietf-atommib-rfc2495bis-XX.txt	Sun May 18 12:22:38 2003
***************
*** 134,137 ****
!    (a.k.a., D4) and Extended Superframe (ESF) formats [AT&T UM 305, AT&T
!    TR 54016], the latter of which conforms to ANSI specifications [ANSI
!    T1.403], and the CCITT Recommendations [ CCITT G.703, ITU-T G.704],
!    referred to as E1 for the rest of this memo.
--- 134,137 ----
!    (a.k.a., D4) and Extended Superframe (ESF) formats [AT&T-UM-305],
!    [AT&T-TR-54016], the latter of which conforms to ANSI specifications
!    [ANSI-T1.403], and the CCITT Recommendations [CCITT-G.703],
!    [ITU-T G.704], referred to as E1 for the rest of this memo.
***************
*** 153 ****
!    Only the ifGeneralGroup needs to be supported.
--- 153 ----
!    Only the ifGeneralInformationGroup needs to be supported.
***************
*** 495 ****
!    ESF or inband if D4.  The loopbacks that can be request this way are:
--- 495 ----
!    ESF or inband if D4.  The loopbacks that can be requested this way are:
***************
*** 501 ****
!    dsx1LoopbackStatus defines which loopback is currently applies to an
--- 501 ----
!    dsx1LoopbackStatus defines which loopback is currently applied to an
***************
*** 548,549 ****
!    but not final draft of what became the ANSI T1.231 standard [ANSI
!    T1.231].  If the definition in this document does not match the
--- 548,549 ----
!    but not final draft of what became the ANSI T1.231 standard
!    [ANSI-T1.231].  If the definition in this document does not match the
***************
*** 557,558 ****
!           a pulse of the same polarity as the previous pulse.  (See
!           T1.231 Section 6.1.1.1.1) A BPV error event for a B8ZS- or
--- 557,558 ----
!           a pulse of the same polarity as the previous pulse (see
!           T1.231 Section 6.1.1.1.1).  A BPV error event for a B8ZS- or
***************
*** 565,566 ****
!           occurrence of more than fifteen contiguous zeroes.  (See
!           T1.231 Section 6.1.1.1.2) For a B8ZS coded signal, the defect
--- 565,566 ----
!           occurrence of more than fifteen contiguous zeroes (see T1.231
!           Section 6.1.1.1.2).  For a B8ZS coded signal, the defect
***************
*** 585 ****
!           (Also known as CV-L; See T1.231 Section 6.5.1.1)
--- 585 ----
!           (Also known as CV-L; see T1.231 Section 6.5.1.1.)
***************
*** 591 ****
!           CV-P; See T1.231 Section 6.5.2.1)
--- 591 ----
!           CV-P; see T1.231 Section 6.5.2.1.)
***************
*** 595,596 ****
!           payload bits of a DS1 frame.  (See T1.231 Section 6.1.1.2.3) A
!           Controlled Slip may be performed when there is a difference
--- 595,596 ----
!           payload bits of a DS1 frame (see T1.231 Section 6.1.1.2.3).
!           A Controlled Slip may be performed when there is a difference
***************
*** 605 ****
!           Framing Error events. (See T1.231 Section 6.1.2.2.1)
--- 605 ----
!           Framing Error events (see T1.231 Section 6.1.2.2.1).
***************
*** 614 ****
!           error (see G.706 Section 4.1 [CCITT G.706]).
--- 614 ----
!           error (see G.706 Section 4.1 [CCITT-G.706]).
***************
*** 618 ****
!           received.  The LOF is cleared when 3 or more consecutive
--- 618 ----
!           received.  The OOF is cleared when 3 or more consecutive
***************
*** 654 ****
!           or greater than than T. (See G.775, Section 5.4)
--- 654 ----
!           or greater than than T (see G.775, Section 5.4).
***************
*** 658 ****
!           zero bits (see O.162 [CCITT O.162]] Section 3.3.2).
--- 658 ----
!           zero bits (see O.162 [CCITT-O.162] Section 3.3.2).
***************
*** 666 ****
!           according to ITU-T Draft Recommendation G.775[ITU-T G.775]
--- 666 ----
!           according to ITU-T Draft Recommendation G.775 [ITU-T-G.775]
***************
*** 711,712 ****
!           Code Violation error events were detected. (Also known as ES-
!           L; See T1.231 Section 6.5.1.2)
--- 711,712 ----
!           Code Violation error events were detected. (Also known as
!           ES-L; see T1.231 Section 6.5.1.2.)
***************
*** 717 ****
!           one or more controlled slips.  (See T1.231 Section 6.5.2.8)
--- 717 ----
!           one or more controlled slips (see T1.231 Section 6.5.2.8).
***************
*** 724,725 ****
!           AIS defect. (See T1.231 Section 6.5.2.2 and G.826[ITU-T G.826]
!           Section B.1)
--- 724,725 ----
!           AIS defect (see T1.231 Section 6.5.2.2 and G.826
!           [ITU-T-G.826] Section B.1).
***************
*** 758,759 ****
!           Frame defects OR a detected AIS defect. (See T1.231 Section
!           6.5.2.5)
--- 758,759 ----
!           Frame defects OR a detected AIS defect (see T1.231 Section
!           6.5.2.5).
***************
*** 779 ****
!           known as SAS-P (SEF/AIS second); See T1.231 Section 6.5.2.6)
--- 779 ----
!           known as SAS-P (SEF/AIS second); see T1.231 Section 6.5.2.6.)
***************
*** 783,784 ****
!           exceeds 1E-6 but does not exceed 1E-3 (see G.821[CCITT
!           G.821]).
--- 783,784 ----
!           exceeds 1E-6 but does not exceed 1E-3 (see G.821
!           [CCITT-G.821]).
***************
*** 1002 ****
!           62411 [AT&T TR 62411].
--- 1002 ----
!           62411 [AT&T-TR-62411].
***************
*** 1017 ****
!           Section 3.4`<.4).
--- 1017 ----
!           Section 3.4.4).  << REVIEWER's NOTE: double check this. >>
***************
*** 1065 ****
!           with G.732 [CCITT G.732] framing (sometimes called "Channel
--- 1065 ----
!           with G.732 [CCITT-G.732] framing (sometimes called "Channel
***************
*** 1074,1075 ****
!           links operating in "Channel Associated Signalling" mode. (See
!           G.732)
--- 1074,1075 ----
!           links operating in "Channel Associated Signalling" mode (see
!           G.732).
***************
*** 1109 ****
--- 1110 ----
+ 
***************
*** 1113 ****
!        during the troubleshooting process(see M.1400 [ITU-T M.1400] for
--- 1114 ----
!        during the troubleshooting process (see M.1400 [ITU-T-M.1400] for
***************
*** 1147 ****
- 
--- 1147 ----
***************
*** 4633 ****
! 5.  Appendix B - The delay approach to Unavialable Seconds.
--- 4633 ----
! 5.  Appendix B - The delay approach to Unavailable Seconds.
***************
*** 4768 ****
!    This document was produced by the AToM MIB Working Group
--- 4768 ----
!    This document was produced by the AToM MIB Working Group.
***************
*** 4926 ****
! [CCITT-O.162]]
--- 4926 ----
! [CCITT-O.162]
*** DS1-MIB-200305040000Z	Tue May  6 15:32:26 2003
--- DS1-MIB.my	Sat May 17 09:37:53 2003
***************
*** 14,21 ****
                LAST-UPDATED "200305040000Z"
                ORGANIZATION "IETF AToM MIB Working Group"
                CONTACT-INFO
!                 "Editor: Orly Nicklass
  
                   Postal: RAD Data Communications, Ltd.
                           Ziv Tower, 24 Roul Walenberg
                           Tel Aviv, Israel, 69719
--- 14,28 ----
                LAST-UPDATED "200305040000Z"
                ORGANIZATION "IETF AToM MIB Working Group"
                CONTACT-INFO
!                 "WG charter:
!                    http://www.ietf.org/html.charters/atommib-charter.html
  
+                  Mailing Lists:
+                    General Discussion: [email-masked]
+                    To Subscribe: [email-masked]
+ 
+                  Editor: Orly Nicklass
+ 
                   Postal: RAD Data Communications, Ltd.
                           Ziv Tower, 24 Roul Walenberg
                           Tel Aviv, Israel, 69719
***************
*** 25,32 ****
  
                DESCRIPTION
                     "The MIB module to describe DS1, E1, DS2, and
!                     E2 interfaces objects."
  
                ::= { transmission 18 }
  
            -- note that this subsumes cept (19) and g703at2mb (67)
--- 32,57 ----
  
                DESCRIPTION
                     "The MIB module to describe DS1, E1, DS2, and
!                     E2 interfaces objects.
  
+                     Copyright (c) The Internet Society (2003).  This
+                     version of this MIB module is part of RFC yyyy;
+                     see the RFC itself for full legal notices."
+           -- RFC Ed.: replace yyyy with actual RFC number & remove this notice
+ 
+               REVISION "200305040000Z"
+               DESCRIPTION
+                    "The RFC yyyy version of this MIB module."
+           -- RFC Ed.: replace yyyy with actual RFC number & remove this notice
+ 
+               REVISION "199808011830Z"
+               DESCRIPTION
+                    "The RFC 2495 version of this MIB module."
+ 
+               REVISION "199301252028Z"
+               DESCRIPTION
+                    "Initial version, published as RFC 1406."
+ 
                ::= { transmission 18 }
  
            -- note that this subsumes cept (19) and g703at2mb (67)
***************
*** 88,94 ****
  
            dsx1LineIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "This object should be made equal to ifIndex.  The
--- 113,120 ----
  
            dsx1LineIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "This object should be made equal to ifIndex.  The
***************
*** 649,655 ****
  
            dsx1CurrentIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies  the
--- 675,682 ----
  
            dsx1CurrentIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies  the
***************
*** 784,790 ****
  
            dsx1IntervalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
--- 811,818 ----
  
            dsx1IntervalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
***************
*** 796,802 ****
  
            dsx1IntervalNumber OBJECT-TYPE
                 SYNTAX  INTEGER (1..96)
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "A number between 1 and 96, where 1 is the most
--- 824,831 ----
  
            dsx1IntervalNumber OBJECT-TYPE
                 SYNTAX  INTEGER (1..96)
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "A number between 1 and 96, where 1 is the most
***************
*** 933,939 ****
  
            dsx1TotalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
--- 962,969 ----
  
            dsx1TotalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
***************
*** 1151,1157 ****
  
            dsx1FarEndCurrentIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
--- 1181,1188 ----
  
            dsx1FarEndCurrentIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
***************
*** 1319,1325 ****
  
            dsx1FarEndIntervalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
--- 1350,1357 ----
  
            dsx1FarEndIntervalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
***************
*** 1331,1337 ****
  
            dsx1FarEndIntervalNumber OBJECT-TYPE
                 SYNTAX  INTEGER (1..96)
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "A number between 1 and 96, where 1 is the most
--- 1363,1370 ----
  
            dsx1FarEndIntervalNumber OBJECT-TYPE
                 SYNTAX  INTEGER (1..96)
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "A number between 1 and 96, where 1 is the most
***************
*** 1459,1465 ****
  
            dsx1FarEndTotalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
--- 1492,1499 ----
  
            dsx1FarEndTotalIndex OBJECT-TYPE
                 SYNTAX  InterfaceIndex
!                MAX-ACCESS  read-only  -- read-only since originally an
!                                       -- SMIv1 index
                 STATUS  current
                 DESCRIPTION
                        "The index value which uniquely identifies the DS1
***************
*** 1647,1653 ****
  
            dsx1FracIndex OBJECT-TYPE
                SYNTAX  INTEGER (1..'7fffffff'h)
!               MAX-ACCESS  read-only
                STATUS  deprecated
                DESCRIPTION
                   "The index value which uniquely identifies  the
--- 1681,1688 ----
  
            dsx1FracIndex OBJECT-TYPE
                SYNTAX  INTEGER (1..'7fffffff'h)
!               MAX-ACCESS  read-only  -- read-only since originally an
!                                      -- SMIv1 index
                STATUS  deprecated
                DESCRIPTION
                   "The index value which uniquely identifies  the
***************
*** 1660,1666 ****
  
            dsx1FracNumber OBJECT-TYPE
                SYNTAX  INTEGER (1..31)
!               MAX-ACCESS  read-only
                STATUS  deprecated
                DESCRIPTION
                   "The channel number for this entry."
--- 1695,1702 ----
  
            dsx1FracNumber OBJECT-TYPE
                SYNTAX  INTEGER (1..31)
!               MAX-ACCESS  read-only  -- read-only since originally an
!                                      -- SMIv1 index
                STATUS  deprecated
                DESCRIPTION
                   "The channel number for this entry."
***************
*** 1682,1688 ****
                   time slots."
               ::= { dsx1FracEntry 3 }
  
!            -- Ds1 TRAPS
  
            ds1Traps OBJECT IDENTIFIER ::= { ds1 15 }
  
--- 1718,1724 ----
                   time slots."
               ::= { dsx1FracEntry 3 }
  
!           -- DS1 TRAPS
  
            ds1Traps OBJECT IDENTIFIER ::= { ds1 15 }
  
***************
*** 2045,2051 ****
                    OBJECT dsx1LineBuildOut
                    MIN-ACCESS read-only
                    DESCRIPTION
!                       "The ability to set the Line build up is not
                        required."
                ::= { ds1Compliances 5 }
  
--- 2081,2087 ----
                    OBJECT dsx1LineBuildOut
                    MIN-ACCESS read-only
                    DESCRIPTION
!                       "The ability to set the Line build out is not
                        required."
                ::= { ds1Compliances 5 }
  
***************
*** 2110,2115 ****
--- 2146,2163 ----
                            "The ability to set the channelization
                             is not required."
  
+                   OBJECT dsx1LineMode
+                   MIN-ACCESS read-only
+                   DESCRIPTION
+                       "The ability to set the Line Mode is not
+                       required."
+ 
+                   OBJECT dsx1LineBuildOut
+                   MIN-ACCESS read-only
+                   DESCRIPTION
+                       "The ability to set the Line build out is not
+                       required."
+ 
                ::= { ds1Compliances 6 }
  
            ds1MibE1PriNCompliance MODULE-COMPLIANCE
***************
*** 2180,2185 ****
--- 2228,2246 ----
                        DESCRIPTION
                        "The ability to set the channelization is not
                        required."
+ 
+                   OBJECT dsx1LineMode
+                   MIN-ACCESS read-only
+                   DESCRIPTION
+                       "The ability to set the Line Mode is not
+                       required."
+ 
+                   OBJECT dsx1LineBuildOut
+                   MIN-ACCESS read-only
+                   DESCRIPTION
+                       "The ability to set the Line build out is not
+                       required."
+ 
                ::= { ds1Compliances 7 }
  
            -- units of conformance

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 19 May 2003 15:30:05 +0200

Thanks Mike for a very thorough review.

Bert 

> -----Original Message-----
> From: C. M. Heard [mailto:[email-masked]]
> Sent: zondag 18 mei 2003 22:40
> To: AToM MIB Working Group
> Cc: Orly Nicklass; Lam, Hing-Kam (Kam); Faye Ly; Erik Nordmark; Thomas
> Narten; Wijnen, Bert (Bert)
> Subject: MIB doctor review of draft-ietf-atommib-rfc2495bis-02.txt
> 
> 
> AToM MIB folks,
>